#!/bin/bash

if [ -n "$1" ]; then
  echo "$1"
elif [[ -n "${GOCRYPTFS_PASSWORD}" ]]; then
  echo "${GOCRYPTFS_PASSWORD}"
elif [[ -f "{{ gocryptfs_temporary_password_file }}" ]]; then
  {# https://github.com/rfjakob/gocryptfs/issues/663 #}
  password=$(<{{ gocryptfs_temporary_password_file }})
  rm -f "{{ gocryptfs_temporary_password_file }}" 2> /dev/null
  echo "$password"
else
  systemd-ask-password "GoCryptFS:"
fi
